
CoCoA-5 - Bug #1157

FactorAlgExt

21 Feb 2018 06:14 - Elisa Palezzato

Status: Closed Start date: 21 Feb 2018

Priority: Normal Due date:  

Assignee: Elisa Palezzato % Done: 100%

Category: Incomplete function Estimated time: 2.01 hours

Target version: CoCoA-5.2.4 Spent time: 1.00 hour

Description

In cocoa-5.2.2 FactorAlgExt overlooks the missing coefficient: that is, the irreducible factors are correct, but the costant leading

coefficient is not considered.

Related issues:

Related to CoCoALib - Feature #1203: factor over algebraic extensions Closed 31 Jul 2018

History

#1 - 21 Feb 2018 08:43 - Anna Maria Bigatti

Missing coefficient:

use QQ7::=QQ[z];

L:= QQ7/ideal(z^6 + z^5 + z^4 + z^3 + z^2 + z + 1);

use L[t,x, y];

F:=x^3 + t^3*x + t;

G01:= subst(F, x, -z*t - z^3);

G01;

indent(FactorAlgExt(G01));

-- record[

 -- RemainingFactor := (1),

 -- factors := [t^2 +(z^2)*t +(z^4)],

 -- multiplicities := [2]

--]

H:=(t^2 +(z^2)*t +(z^4))^2;

H;

H=G01;

-z*H=G01;

#2 - 22 Feb 2018 03:36 - Elisa Palezzato

- File FactorAlgExt.cpkg5 added

Ho cambiato solo il return finale.
Elisa

#3 - 01 Mar 2018 09:30 - Anna Maria Bigatti

- Description updated

- Category set to Incomplete function

- Status changed from New to Feedback

- Assignee set to Elisa Palezzato

#4 - 01 Mar 2018 09:30 - Anna Maria Bigatti

- Estimated time set to 2.01 h

#5 - 01 Mar 2018 09:31 - Anna Maria Bigatti

- Target version set to CoCoA-5.2.4

- % Done changed from 0 to 90

#6 - 31 Jul 2018 13:13 - Anna Maria Bigatti

- Related to Feature #1203: factor over algebraic extensions added

#7 - 31 Jul 2018 13:13 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Files

FactorAlgExt.cpkg5 2.68 KB 22 Feb 2018 Elisa Palezzato
